define(["app","js/count/countView", "js/countModel"], function(app, CountView, Count) {

	var count = null;
	var bindings = [{
		element: '.count-edit-link',
		event: 'click',
		handler: runEditMode
	}];

	function init(query){
		var counts = JSON.parse(localStorage.getItem("f7Counts"));
		if (query && query.id) {
			count = new Count(_.find(counts, { id: query.id }));
		}
		CountView.render({
			model: count,
			bindings: bindings
		});
	}

	function runEditMode() {
		app.router.load('countEdit', {id: count.id });
	}

	return {
		init: init
	};
});