define(['app'],function(app) {

    function Count(values) {
		values = values || {};
		this.id = values['id'] || app.utils.generateGUID();
		this.picId = values['picId'] || app.utils.getRandomInt(1,2);
		this.createdOn = values['createdOn'] || new Date();

		this.countName = values['countName'] || '';
		this.countDate = values['countDate'] || '';
		this.countTotal = values['countTotal'] || '';
		this.count1000 = values['count1000'] || '';
		this.count1000st = values['count1000st'] || '';
		this.count500 = values['count500'] || '';
		this.count500st = values['count500st'] || '';
		this.count200 = values['count200'] || '';
		this.count200st = values['count200st'] || '';
		this.count100 = values['count100'] || '';
		this.count100st = values['count100st'] || '';
		this.count50 = values['count50'] || '';
		this.count50st = values['count50st'] || '';
		this.count20 = values['count20'] || '';
		this.count20st = values['count20st'] || '';
		this.count10 = values['count10'] || '';
		this.count10st = values['count10st'] || '';
		this.count5 = values['count5'] || '';
		this.count5st = values['count5st'] || '';
		this.count3 = values['count3'] || '';
		this.count3st = values['count3st'] || '';
		this.count1 = values['count1'] || '';
		this.count1st = values['count1st'] || '';

		this.isCup = values['isCup'] || false;;
    }

	Count.prototype.setValues = function(inputValues) {
		for (var i = 0, len = inputValues.length; i < len; i++) {
			var item = inputValues[i];
			if (item.type === 'checkbox') {
				this[item.id] = item.checked;
			}
			else {
				this[item.id] = item.value;
			}
		}
	};

		Count.prototype.validate = function() {
		var result = true;
		if (_.isEmpty(this.countName)  ||
			_.isEmpty(this.countDate)
			) {result = false;}
		return result;
	};

    return Count;
});
